Bug 84355 - texture2DProjLod and textureCubeLod are not supported when using GLES.
Summary: texture2DProjLod and textureCubeLod are not supported when using GLES.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: glsl-compiler (show other bugs)
Version: 10.2
Hardware: x86 (IA32) All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-26 07:34 UTC by kalyank
Modified: 2014-09-29 15:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch. (1.88 KB, text/plain)
2014-09-26 07:34 UTC, kalyank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kalyank 2014-09-26 07:34:25 UTC
Created attachment 106901 [details]
patch.

According to GLES (i.e. 1.0 and above) spec textureCubeLod and
texture2DProjLod are built in functions. We seem to disable support
for these functions with GLES.



The following WebGL conformance tests fail when running Chromium Web Browser with Wayland(https://github.com/01org/ozone-wayland)

Test case:
https://www.khronos.org/registry/webgl/sdk/tests/conformance/glsl/samplers/glsl-function-texture2dprojlod.html

Attached is a patch which fixes this..
Comment 1 Kenneth Graunke 2014-09-26 07:38:44 UTC
Hi Kalyan,

Please use git-send-email to send patches to mesa-dev.

Thanks!
Comment 2 kalyank 2014-09-27 02:46:46 UTC
Hi Kenneth,

Done. 

Thanks,
Kalyan
Comment 3 kalyank 2014-09-29 15:34:41 UTC
Fix has been merged in master.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.